Bug 864959 - Consolidate various separate firmware packages into linux-firmware
Consolidate various separate firmware packages into linux-firmware
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: linux-firmware (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 09:38 EDT by Josh Boyer
Modified: 2014-03-23 08:01 EDT (History)
9 users (show)

See Also:
Fixed In Version: linux-firmware-20130724-31.git31f6b30.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:07:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to linux-firmware to consolidate netxen-firmware and ql2[123]xx-firmware (2.27 KB, text/plain)
2012-10-10 09:54 EDT, Josh Boyer
no flags Details
Consolidate rt61pci-firmware and rt73usb-firmware (1.79 KB, text/plain)
2012-10-10 10:20 EDT, Josh Boyer
no flags Details

  None (edit)
Description Josh Boyer 2012-10-10 09:38:04 EDT
Description of problem:

The upstream linux-firmware git repository provides identical version of the firmware provided by:

netxen-firmware
ql2100-firmware
ql2200-firmware
ql23xx-firmware

Those packages can be consolidated into linux-firmware and retired.  The ql2400-firmware and ql2500-firmware packages currently contain newer firmware than linux-firmware, so those will remain separate for now.
Comment 1 Josh Boyer 2012-10-10 09:53:45 EDT
[jwboyer@zod linux-firmware]$ sudo yum localupdate noarch/linux-firmware-20120925-0.2.git236367d.fc18.noarch.rpm 
Loaded plugins: langpacks, presto, refresh-packagekit
Examining noarch/linux-firmware-20120925-0.2.git236367d.fc18.noarch.rpm: linux-firmware-20120925-0.2.git236367d.fc18.noarch
Marking noarch/linux-firmware-20120925-0.2.git236367d.fc18.noarch.rpm as an update to linux-firmware-20120925-0.1.git236367d.fc18.noarch
Resolving Dependencies
--> Running transaction check
---> Package linux-firmware.noarch 0:20120925-0.1.git236367d.fc18 will be updated
---> Package linux-firmware.noarch 0:20120925-0.2.git236367d.fc18 will be obsoleting
---> Package netxen-firmware.noarch 0:4.0.534-6.fc18 will be obsoleted
---> Package ql2100-firmware.noarch 0:1.19.38-6.fc18 will be obsoleted
---> Package ql2200-firmware.noarch 0:2.02.08-6.fc18 will be obsoleted
---> Package ql23xx-firmware.noarch 0:3.03.28-4.fc18 will be obsoleted
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package
        Arch   Version
                      Repository                                           Size
================================================================================
Installing:
 linux-firmware
        noarch 20120925-0.2.git236367d.fc18
                      /linux-firmware-20120925-0.2.git236367d.fc18.noarch  34 M
     replacing  netxen-firmware.noarch 4.0.534-6.fc18
     replacing  ql2100-firmware.noarch 1.19.38-6.fc18
     replacing  ql2200-firmware.noarch 2.02.08-6.fc18
     replacing  ql23xx-firmware.noarch 3.03.28-4.fc18

Transaction Summary
================================================================================
Install  1 Package

Total size: 34 M
Is this ok [y/N]:
Comment 2 Josh Boyer 2012-10-10 09:54:52 EDT
Created attachment 624878 [details]
Patch to linux-firmware to consolidate netxen-firmware and ql2[123]xx-firmware

Spot, does this look correct to you?
Comment 3 Tom "spot" Callaway 2012-10-10 10:06:32 EDT
Looks correct.
Comment 4 Josh Boyer 2012-10-10 10:09:20 EDT
(In reply to comment #3)
> Looks correct.

Thanks, committed.

Going to look at rt61pci-firmware and rt73usb-firmware as well under this bug, but will be a separate commit.
Comment 5 Josh Boyer 2012-10-10 10:20:25 EDT
Created attachment 624900 [details]
Consolidate rt61pci-firmware and rt73usb-firmware

Nicolas, do you see any problems with this patch to consolidate rt61pci-firmware and rt73usb-firmware?

[jwboyer@zod linux-firmware]$ sudo yum localupdate noarch/linux-firmware-20120925-0.3.git236367d.fc18.noarch.rpm 
Loaded plugins: langpacks, presto, refresh-packagekit
Examining noarch/linux-firmware-20120925-0.3.git236367d.fc18.noarch.rpm: linux-firmware-20120925-0.3.git236367d.fc18.noarch
Marking noarch/linux-firmware-20120925-0.3.git236367d.fc18.noarch.rpm as an update to linux-firmware-20120925-0.1.git236367d.fc18.noarch
fedora/18/x86_64/metalink                                |  14 kB     00:00     
updates/18/x86_64/metalink                               |  17 kB     00:00     
updates-testing/18/x86_64/metalink                       |  15 kB     00:00     
updates-testing                                          | 4.7 kB     00:00     
updates-testing/primary_db                                 | 5.2 MB   00:04     
updates-testing/group_gz                                 | 357 kB     00:00     
Resolving Dependencies
--> Running transaction check
---> Package linux-firmware.noarch 0:20120925-0.1.git236367d.fc18 will be updated
---> Package linux-firmware.noarch 0:20120925-0.3.git236367d.fc18 will be obsoleting
---> Package netxen-firmware.noarch 0:4.0.534-6.fc18 will be obsoleted
---> Package ql2100-firmware.noarch 0:1.19.38-6.fc18 will be obsoleted
---> Package ql2200-firmware.noarch 0:2.02.08-6.fc18 will be obsoleted
---> Package ql23xx-firmware.noarch 0:3.03.28-4.fc18 will be obsoleted
---> Package rt61pci-firmware.noarch 0:1.2-10.fc18 will be obsoleted
---> Package rt73usb-firmware.noarch 0:1.8-10.fc18 will be obsoleted
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package
        Arch   Version
                      Repository                                           Size
================================================================================
Installing:
 linux-firmware
        noarch 20120925-0.3.git236367d.fc18
                      /linux-firmware-20120925-0.3.git236367d.fc18.noarch  34 M
     replacing  netxen-firmware.noarch 4.0.534-6.fc18
     replacing  ql2100-firmware.noarch 1.19.38-6.fc18
     replacing  ql2200-firmware.noarch 2.02.08-6.fc18
     replacing  ql23xx-firmware.noarch 3.03.28-4.fc18
     replacing  rt61pci-firmware.noarch 1.2-10.fc18
     replacing  rt73usb-firmware.noarch 1.8-10.fc18

Transaction Summary
================================================================================
Install  1 Package

Total size: 34 M
Is this ok [y/N]: n
Exiting on user Command
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-10-10.10-18.eHawWl.yumtx
[jwboyer@zod linux-firmware]$ git format-patch -1
0001-Consolidate-rt61pci-firmware-and-rt73usb-firmware-pa.patch
[jwboyer@zod linux-firmware]$
Comment 6 Nicolas Chauvet (kwizart) 2012-10-11 02:47:18 EDT
(In reply to comment #5)
> Created attachment 624900 [details]
> Consolidate rt61pci-firmware and rt73usb-firmware
> 
> Nicolas, do you see any problems with this patch to consolidate
> rt61pci-firmware and rt73usb-firmware?
No problem, specially as thoses are not changing anymore. thx for asking.
Comment 7 Josh Boyer 2012-10-13 07:52:11 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > Created attachment 624900 [details]
> > Consolidate rt61pci-firmware and rt73usb-firmware
> > 
> > Nicolas, do you see any problems with this patch to consolidate
> > rt61pci-firmware and rt73usb-firmware?
> No problem, specially as thoses are not changing anymore. thx for asking.

Wonderful, thanks.  Push to git.  I'll build and file an update shortly.  The packages we've consolidated will need to be retired.
Comment 8 Fedora Update System 2012-10-13 08:17:51 EDT
linux-firmware-20120925-0.3.git236367d.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/linux-firmware-20120925-0.3.git236367d.fc18
Comment 9 Fedora Update System 2012-10-13 17:07:05 EDT
Package linux-firmware-20120925-0.3.git236367d.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing linux-firmware-20120925-0.3.git236367d.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16062/linux-firmware-20120925-0.3.git236367d.fc18
then log in and leave karma (feedback).
Comment 10 Michael Schwendt 2013-09-14 15:42:17 EDT
The obsolete packages have _not_ been marked dead, blocked and retired. Meanwhile, they have been bumped and rebuilt a few times leading to insufficient Obsoletes in the linux-firmware package:

If you get them blocked and withdrawn for Fedora 20 _and_ Rawhide, the Obsoletes tags can be adjusted to

  Obsoletes: ql2100-firmware < 1.19.38-8
  Obsoletes: ql2200-firmware < 2.02.08-8
  Obsoletes: ql23xx-firmware < 3.03.28-6

to be safe again.

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

[...]

   ql2100-firmware-0:1.19.38-8.fc20.noarch  isn't obsoleted  (ql2100-firmware-1.19.38-8.fc20.src.rpm)
   ql2100-firmware-0:1.19.38-7.fc19.noarch  isn't obsoleted  (ql2100-firmware-1.19.38-7.fc19.src.rpm)

   ql2200-firmware-0:2.02.08-8.fc20.noarch  isn't obsoleted  (ql2200-firmware-2.02.08-8.fc20.src.rpm)
   ql2200-firmware-0:2.02.08-7.fc19.noarch  isn't obsoleted  (ql2200-firmware-2.02.08-7.fc19.src.rpm)

   ql23xx-firmware-0:3.03.28-6.fc20.noarch  isn't obsoleted  (ql23xx-firmware-3.03.28-6.fc20.src.rpm)
   ql23xx-firmware-0:3.03.28-5.fc19.noarch  isn't obsoleted  (ql23xx-firmware-3.03.28-5.fc19.src.rpm)

   ql2100-firmware < 0:1.19.38-7  obsoleted by  linux-firmware-0:20130724-30.git31f6b30.fc20.noarch  from  linux-firmware
   ql2200-firmware < 0:2.02.08-7  obsoleted by  linux-firmware-0:20130724-30.git31f6b30.fc20.noarch  from  linux-firmware
    ql23xx-firmware < 0:3.03.28-5  obsoleted by  linux-firmware-0:20130724-30.git31f6b30.fc20.noarch  from  linux-firmware
Comment 11 Josh Boyer 2013-09-16 07:18:34 EDT
Miscommunication between Spot and I.  I thought he was going to retire the ql packages.  I'll try to get this taken care of today.
Comment 12 Fedora Update System 2013-09-16 07:51:25 EDT
linux-firmware-20130724-31.git31f6b30.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/linux-firmware-20130724-31.git31f6b30.fc20
Comment 13 Fedora Update System 2013-09-16 12:12:30 EDT
Package linux-firmware-20130724-31.git31f6b30.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing linux-firmware-20130724-31.git31f6b30.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16844/linux-firmware-20130724-31.git31f6b30.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-09-22 20:07:59 EDT
linux-firmware-20130724-31.git31f6b30.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.